
import GeneralLoading from "../General/GeneralLoading";
import PickOrderSearch from "./FinishedGoodSearch";
import{fetchPrinterCombo} from "@/app/api/settings/printer";
interface SubComponents {
  Loading: typeof GeneralLoading;
}

const FinishedGoodSearchWrapper: React.FC & SubComponents = async () => {
  const [printerCombo] = await Promise.all([

    fetchPrinterCombo(),
  ]);

  return <PickOrderSearch printerCombo={printerCombo} />;
};

FinishedGoodSearchWrapper.Loading = GeneralLoading;

export default FinishedGoodSearchWrapper;
